Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Toute la communauté vous remercie

Zibase : ZiBASEDOM

Avatar de l’utilisateur
scanab
Actif
Messages : 778
Inscription : 30 juil. 2014, 15:15

Re: Zibase : ZiBASEDOM

Message par scanab » 10 janv. 2018, 16:48

S'il y a plusieurs identifiants Zibase, c'est parceque le plugin garde l'historique des identifiants lorsque ceux-ci changent quand on change les piles de la sonde. Ce qui compte, c'est que l'identifiant courant soit bien le bon.
Vérifie que tu n'as pas une autre sonde avec le même identifiant qui a été créé.
Développeur des plugins :

Avatar de l’utilisateur
onpjf
Timide
Messages : 4
Inscription : 02 févr. 2016, 21:07
Contact :

Re: Zibase : ZiBASEDOM

Message par onpjf » 10 janv. 2018, 21:56

Bonjour,
non pas de doublon.
J'ai entretemps redémarrer le serveur. C'est OK depuis, j'ai eu une coupure électrique et j'ai l'impression que la com zibase<->jeedom n'était pas correct.
A suivre donc.
Au sujet des warning dans le lot ?

sfl
Timide
Messages : 110
Inscription : 24 juil. 2014, 00:04
Localisation : 31

Re: Zibase : ZiBASEDOM

Message par sfl » 23 janv. 2018, 20:59

Hello scanab,

Tout allait bien jusqu a une coupure electrique de la zibase (pas de jeedom il est ondulé). Depuis j'ai une sonde oregon qui ne se mettait pas a jour dans jeedom alors que les autres oui.
Je l'ai supprimé pour la recharger mais sans succes. j'ai essayer de la masquer dans zodianet et de la reafficher, sans succes, de la renommer idem.
A chaque fois je fais charger les sondes sans succes

ce qui m étonne c'est lorsque je charge les sondes via https://zibase.net/m/get_xml.php?device ... en=XXXXXXX
c'est que c'est l' ancien identifiant, si j'ouvre l'url dans un browser.

Apres quelques tests que ce soit sur zibase.net ou zibase2.net avec ZAPI1 ou ZAPI2,
c'est toujours l'ancien identifiant qui est decouvert

Code : Tout sélectionner

[2018-01-23 20:48:19][DEBUG] : probe : OS4196936961 - S1-Salon
et le nouvel identifiant (OS4196947713) apparait dans le log mais sans le batterie et le reception

Code : Tout sélectionner

[2018-01-23 20:49:29][DEBUG] : saveEq() - ID : OS4196947713
[2018-01-23 20:49:45][DEBUG] : saveEq() - ID : OS4196985857
[2018-01-23 20:49:45][DEBUG] : setBatteryLevel(OS4196985857, )
[2018-01-23 20:49:45][DEBUG] : setReceptionLevel(OS4196985857, 2.7)
Donc je suis inquiet, voir tres inquiet car j'ai eu le malheur de mettre à jour la zibase en Firmware : 884
RFkey : 603

unei idée ?

Merci de ton aide,
Sfl
Jeedom en prod via chroot et MariaDB
Jeedom slave sur RPI via nfs

sfl
Timide
Messages : 110
Inscription : 24 juil. 2014, 00:04
Localisation : 31

Re: Zibase : ZiBASEDOM

Message par sfl » 05 févr. 2018, 23:40

bonsoir à tous,

Bien sur aucun problème avec le plugin.
J'ai réussi à redécouvrir ma sonde.

Mais la zibase pilotant mes volets X2D, je crains qu'un jours au detours d'une mise à jour de zodianet, je reste dans le noir...
pas beaucoup de solution pour les piloter à travers une solution ouverte (à part le RFPlayer, clone évolué ? de la zibase )

A+
Sfl
Jeedom en prod via chroot et MariaDB
Jeedom slave sur RPI via nfs

johndoe2011
Timide
Messages : 228
Inscription : 22 févr. 2015, 20:20

Re: [Sujet officiel] Plugin Zibase : ZiBASEDOM

Message par johndoe2011 » 02 mai 2018, 23:50

yves273 a écrit :
08 avr. 2017, 07:41
Bonjour

pour éclairer mon message précédent je viens de faire une restauration
Voici ce qu'elle m'a dit:
/var/www/html/plugins/Zibasedom/resources/test-nodejs.sh: line 3: nodejs: command not found
rm: cannot remove '/tmp/nodejsOK': No such file or directory
j'attends une réponse avec impatience
Bonjour,
Depuis le passage en V 3.2.6, la dépendance du plugin Zibasedom ne veux plus passer a OK:
Voila les messages:

Début de l'installation
Version actuelle : v8.11.1
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
Les paquets suivants seront ENLEVÉS :
nodejs*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 61,3 Mo d'espace disque seront libérés.
(Lecture de la base de données...
(Lecture de la base de données... 5%
(Lecture de la base de données... 10%
(Lecture de la base de données... 15%
(Lecture de la base de données... 20%
(Lecture de la base de données... 25%
(Lecture de la base de données... 30%
(Lecture de la base de données... 35%
(Lecture de la base de données... 40%
(Lecture de la base de données... 45%
(Lecture de la base de données... 50%
(Lecture de la base de données... 55%
(Lecture de la base de données... 60%
(Lecture de la base de données... 65%
(Lecture de la base de données... 70%
(Lecture de la base de données... 75%
(Lecture de la base de données... 80%
(Lecture de la base de données... 85%
(Lecture de la base de données... 90%
(Lecture de la base de données... 95%
(Lecture de la base de données... 100%
(Lecture de la base de données... 70174 fichiers et répertoires déjà installés.)
Suppression de nodejs (8.11.1-1nodesource1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
Utilisation du dépot officiel
================================================================================
================================================================================
DEPRECATION WARNING
Node.js 5.x is no longer actively supported!
You will not receive security or critical stability updates for this version.
You should migrate to a supported version of Node.js as soon as possible.
Use the installation script that corresponds to the version of Node.js you
wish to install. e.g.
* https://deb.nodesource.com/setup_8.x — Node.js 8 LTS "Carbon" (recommended)
* https://deb.nodesource.com/setup_10.x — Node.js 10 Current
Please see https://github.com/nodejs/Release for details about which
version may be appropriate for you.
The NodeSource Node.js distributions repository contains
information both about supported versions of Node.js and supported Linux
distributions. To learn more about usage, see the repository:
https://github.com/nodesource/distributions
================================================================================
================================================================================
Continuing in 20 seconds ...
## Installing the NodeSource Node.js 5.x repo...
## Populating apt-get cache...
+ apt-get update
Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Atteint:4 http://ftp.fr.debian.org/debian stretch Release
Atteint:5 https://deb.nodesource.com/node_8.x stretch InRelease
Lecture des listes de paquets…
## Confirming "stretch" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_5.x/dis ... ch/Release'
## Your distribution, identified as "stretch", is not currently supported, please contact NodeSource at https://github.com/nodesource/distributions/issues if you think this is incorrect or would like your distribution to be considered for support
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
Les NOUVEAUX paquets suivants seront installés :
nodejs
debconf: Impossible d'initialiser l'interface : Dialog
debconf: (L'interface dialog ne fonctionnera pas avec un terminal rustique (« dumb »), un tampon shell d'Emacs ou sans terminal de contrôle.)
debconf: Utilisation de l'interface Readline en remplacement
debconf: Impossible d'initialiser l'interface : Readline
debconf: (Cette interface a besoin d'un terminal de contrôle.)
debconf: Utilisation de l'interface Teletype en remplacement
dpkg-preconfigure: impossible de réouvrir stdin :
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/12,6 Mo dans les archives.
Après cette opération, 61,3 Mo d'espace disque supplémentaires seront utilisés.
Sélection du paquet nodejs précédemment désélectionné.
(Lecture de la base de données...
(Lecture de la base de données... 5%
(Lecture de la base de données... 10%
(Lecture de la base de données... 15%
(Lecture de la base de données... 20%
(Lecture de la base de données... 25%
(Lecture de la base de données... 30%
(Lecture de la base de données... 35%
(Lecture de la base de données... 40%
(Lecture de la base de données... 45%
(Lecture de la base de données... 50%
(Lecture de la base de données... 55%
(Lecture de la base de données... 60%
(Lecture de la base de données... 65%
(Lecture de la base de données... 70%
(Lecture de la base de données... 75%
(Lecture de la base de données... 80%
(Lecture de la base de données... 85%
(Lecture de la base de données... 90%
(Lecture de la base de données... 95%
(Lecture de la base de données... 100%
(Lecture de la base de données... 65510 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../nodejs_8.11.1-1nodesource1_amd64.deb ...
Dépaquetage de nodejs (8.11.1-1nodesource1) ...
Paramétrage de nodejs (8.11.1-1nodesource1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
Version actuelle : v8.11.1
npm ERR! As of npm@5, the npm cache self-heals from corruption issues and data extracted from the cache is guaranteed to be valid. If you want to make sure everything is consistent, use 'npm cache verify' instead.
npm ERR!
npm ERR! If you're sure you want to delete the entire cache, rerun this command with --force.
npm ERR! A complete log of this run can be found in:
npm ERR! /var/www/.npm/_logs/2018-05-02T21_41_24_026Z-debug.log
npm ERR! As of npm@5, the npm cache self-heals from corruption issues and data extracted from the cache is guaranteed to be valid. If you want to make sure everything is consistent, use 'npm cache verify' instead.
npm ERR!
npm ERR! If you're sure you want to delete the entire cache, rerun this command with --force.
npm ERR! A complete log of this run can be found in:
npm ERR! /root/.npm/_logs/2018-05-02T21_41_25_462Z-debug.log
npm WARN saveError ENOENT: no such file or directory, open '/var/www/html/plugins/Zibasedom/node/package.json'
npm WARN enoent ENOENT: no such file or directory, open '/var/www/html/plugins/Zibasedom/node/package.json'
npm WARN node No description
npm WARN node No repository field.
npm WARN node No README data
npm WARN node No license field.
up to date in 0.358s
chmod: impossible d'accéder à 'bridge': Aucun fichier ou dossier de ce type
npm WARN saveError ENOENT: no such file or directory, open '/var/www/html/plugins/Zibasedom/node/package.json'
npm WARN enoent ENOENT: no such file or directory, open '/var/www/html/plugins/Zibasedom/node/package.json'
npm WARN node No description
npm WARN node No repository field.
npm WARN node No README data
npm WARN node No license field.
+ string@3.3.3
added 1 package in 1.702s
npm WARN saveError ENOENT: no such file or directory, open '/var/www/html/plugins/Zibasedom/node/package.json'
npm WARN enoent ENOENT: no such file or directory, open '/var/www/html/plugins/Zibasedom/node/package.json'
npm WARN node No description
npm WARN node No repository field.
npm WARN node No README data
npm WARN node No license field.
+ request@2.85.0
added 52 packages in 14.139s
npm WARN saveError ENOENT: no such file or directory, open '/var/www/html/plugins/Zibasedom/node/package.json'
npm WARN enoent ENOENT: no such file or directory, open '/var/www/html/plugins/Zibasedom/node/package.json'
npm WARN node No description
npm WARN node No repository field.
npm WARN node No README data
npm WARN node No license field.
+ xml2js@0.4.19
added 3 packages in 6.825s
Fin de l'installation

Les sondes oregons remontent bien cependant les valeurs.
Dans la section Santé, Zibasedom est en erreur...

J'ai essayé un redemarrage mais rien a faire....
Avant la migration, pas de soucis.
Mon install : V 3.2.6 sur Debian stretch sous Esxi

Merci de votre aide

johndoe2011
Timide
Messages : 228
Inscription : 22 févr. 2015, 20:20

Re: Zibase : ZiBASEDOM

Message par johndoe2011 » 03 mai 2018, 16:07

Bonjour,
Suis je le seul à avoir le soucis avec Zibasedom depuis le passage en v 3.2.6 ?
Merci :)
En fait , en regardant mes 2 installs , celle avec Debian 8 marche bien (V 3.2.6) avec Zibasedom (Nodejs 5) mais celle sur Debian 9 ne permet pas de lancer les dépendances !
Si Scanab ou un autre expert peut donner des infos ?
Merci

superbricolo
Timide
Messages : 398
Inscription : 01 janv. 2016, 12:45
Contact :

Re: Zibase : ZiBASEDOM

Message par superbricolo » 03 mai 2018, 16:50

Je suis sur Debian 9 et Jeedom V3.2.6 et je n'ai pas de problème avec Zibasedom. Maintenant, je n'ai pas non plus réinstallé les dépendances.
Jeedom mini PC Core I5 4300U ESXI
Zwave: Z-Stick Gen5, 29 noeuds, RFLINK: OWL, sondes Oregon
ZIBASEDOM: X2D STARBOX F03, ECO-DEVICE, Bluetooth, ORVIBO, Karotz, Livolo
Ecran tactile sur BOX TV via IMPERIHOME, Google Home
Site météo: flash.galaxy.free.fr

johndoe2011
Timide
Messages : 228
Inscription : 22 févr. 2015, 20:20

Re: Zibase : ZiBASEDOM

Message par johndoe2011 » 03 mai 2018, 20:54

Essaie de réinstaller :) :) :)

Avatar de l’utilisateur
scanab
Actif
Messages : 778
Inscription : 30 juil. 2014, 15:15

Re: Zibase : ZiBASEDOM

Message par scanab » 03 mai 2018, 21:19

Je vais essayer de regarder, mais ce ne sera pas avant la semaine prochaine...

Envoyé de mon SM-A520F en utilisant Tapatalk

Développeur des plugins :

johndoe2011
Timide
Messages : 228
Inscription : 22 févr. 2015, 20:20

Re: Zibase : ZiBASEDOM

Message par johndoe2011 » 04 mai 2018, 06:36

Merci Scanab !
Est ce que cette méthode :
https://linuxconfig.org/how-to-install- ... etch-linux
peut régler le soucis sans compromettre le plugin ?
Merci

johndoe2011
Timide
Messages : 228
Inscription : 22 févr. 2015, 20:20

Re: Zibase : ZiBASEDOM

Message par johndoe2011 » 10 mai 2018, 08:21

scanab a écrit :
03 mai 2018, 21:19
Je vais essayer de regarder, mais ce ne sera pas avant la semaine prochaine...

Envoyé de mon SM-A520F en utilisant Tapatalk
Hello Scanab
Any news ??
Merci

jackouille
Timide
Messages : 156
Inscription : 17 déc. 2015, 13:50

Re: Zibase : ZiBASEDOM

Message par jackouille » 20 mai 2018, 18:54

bonjour,
moi aussi j"ai un pb de dépendances suite à la mise à jour vers la 3.2.7 elle s'est plantée donc j'ai refait entièrement mon Jeedom sur Raspberry et après avoir tout réinstallé tout fonctionne sauf les dépendances de Zibasedom qui reste à NOK que faut-il faire ?
j'ai relancer plusieurs fois la réinstallation des dépendances mais cela ne change rien.
je suis passer aussi sur Debian 9 Stretch
merci pour le coup de main

voici le log si ça peut aider :

Début de l'installation
Version actuelle : v4.8.2
Ok, version suffisante
/var/www/html/plugins/Zibasedom/resources/nodejs.sh: line 59: npm: command not found
sudo: npm: command not found
sudo: npm: command not found
chmod: cannot access 'bridge': No such file or directory
sudo: npm: command not found
sudo: npm: command not found
sudo: npm: command not found
Fin de l'installation

jackouille
Timide
Messages : 156
Inscription : 17 déc. 2015, 13:50

Re: Zibase : ZiBASEDOM

Message par jackouille » 21 mai 2018, 14:41

je me réponds à moi même car je pense avoir résolu le pb.
comme je suis parti d'uns install vierge j'ai suivi la procédure pour installer Jeedom sur un Raspberry donné ici https://jeedom.github.io/documentation/ ... ion/fr_FR/ à partir d'un Debian 9 Stretch et je pense que le Nodejs n'est pas à la bonne version V4 donc j'ai mis à jour Nodejs en faisant cela :

Code : Tout sélectionner

sudo curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
sudo apt install nodejs
sudo node -v
et maintenant je suis en version 6 et les dépendances Zibasedom sont OK

Aurel71
Timide
Messages : 8
Inscription : 15 nov. 2016, 11:59

Re: Zibase : ZiBASEDOM

Message par Aurel71 » 21 mai 2018, 21:17

Merci Jackouille pour la solution car j'avais le même pb suite à un changement de machine et une restauration.

fdurand
Timide
Messages : 20
Inscription : 30 juin 2017, 20:36

Re: Zibase : ZiBASEDOM

Message par fdurand » 22 mai 2018, 14:43

+1 Merci Jackouille ta solution fonctionne parfaitement pour moi aussi suite a une resto

fab92
Timide
Messages : 1
Inscription : 04 juin 2018, 22:01

Re: Zibase : ZiBASEDOM

Message par fab92 » 04 juin 2018, 22:07

Bonjour,

Je suis nouvel utilisateur Jeedom et Zibasedom (désolé si ma question est stupide ou mal posée...)
Mon soucis est le suivant : j'ai un thermostat Remotec ZXT 120 qui pilote un climatiseur sur ma zibase.
Je le recupère bien dans Jeedom grâce au plugin mais je ne recupère qu'un actionneur ON/OFF. Comment puis-je envoyer une consigne, modifier le mode de fonctionnement (froid / chaud), etc... ?

Toute aide est la bienvenue, je suis un peu paumé...
merci
FAB

calimereau
Timide
Messages : 1
Inscription : 23 juil. 2018, 10:36

Re: Zibase : ZiBASEDOM

Message par calimereau » 23 juil. 2018, 10:45

Bonjour,
J'utilise depuis quelques mois jeedom couplé avec une zibase et donc zibasedom pour mes périphériques rfxcom.

Or depuis quelques temps je ne reçois plus le niveau de batterie de mes sondes Oregon dans zibasedom. (ni d'ailleurs de mes périphériques chacon...). Du coup ils n'apparaissent pas dans Analyse/Equipements/batteries ....

A chaque fois j'ai SetBatteryLevel vide. Cf log ci-dessous :

[2018-07-23 10:37:42][DEBUG] : saveEq() - ID : OS3930871553
[2018-07-23 10:37:42][DEBUG] : setBatteryLevel(OS3930871553, )
[2018-07-23 10:37:42][DEBUG] : setReceptionLevel(OS3930871553, 4.6)

Si quelqu'un avait une piste car après plusieurs recherches infructueuses sur le net je ne sais plus ou taper ....
Seul le post de SFL un peu plus haut en parle mais sans réponse.
Merci par avance

Avatar de l’utilisateur
Nebz
Actif
Messages : 3855
Inscription : 23 avr. 2017, 01:37
Localisation : Belgique

Re: Zibase : ZiBASEDOM

Message par Nebz » 14 août 2018, 08:36

@scanab Vous n'êtes plus venu sur ce forum depuis 1 mois, je vois que votre plugin utilise toujours la version 5 de nodeJS, merci d'upgrader en V8 car cela peut poser problème aux autre plugins !!! Êtes vous toujours actif ? Vous ne faites pas partie de l'interface Partenaires non plus, pouvez-vous la rejoindre afin de discuter de ce problème de version ?
Dev plugin Homebridge

- Fournissez les logs, la capture de vos commandes et vos types génériques svp
- Constructif et bonne humeur, on est pas là pour se lancer des périfs z-wave à la figure :-)

Un petit don ça fait toujours plaisir :)

Oefut
Timide
Messages : 177
Inscription : 24 déc. 2015, 11:00

Re: Zibase : ZiBASEDOM

Message par Oefut » 19 août 2018, 20:32

Pareil, même problème!

L'Oefut
Débutant ++ Jeedom
Box: Zibase - Jeedom sur PPI3 - RFXCOM433
Plugins Utilisés: Email - Network - Phone Market - Pushbullet - Script - Météo - Widget - Zibasedom - Caméra - RTSP

enguerrand
Timide
Messages : 11
Inscription : 24 août 2018, 19:40

Re: Zibase : ZiBASEDOM

Message par enguerrand » 24 août 2018, 19:44

Bonjour,
Je suis moi aussi bloquer avec ce plugin: les dépendances ne veulent plus démarrer depuis que je suis avec la v8 de nodejs.
Que faire?
je ne peux plus revenir en arrière et ce plugin fait fonctionner une grosse partie de ma domotique.
L'auteur ne répond plus malgré que sont plugin soit payant (8 euros quand même)
Merci d'avance,

Répondre

Revenir vers « [Plugin Tiers] Zibasedom »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité